# ModifyDisksResourceGroup

## 1. API Description

This API (ModifyDisksResourceGroup) is used to change the resource group of disks.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">You can create several resource groups under one account to manage different resources. If calling</mark> [<mark style="color:purple;">`DescribeDisks`</mark>](/api-reference/compute/zec/disk/describedisks.md) <mark style="color:blue;">to query disks, you can filter the result by</mark> <mark style="color:blue;">`resourceGroupId`</mark> <mark style="color:blue;">in the response.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of disks in each request is 100.</mark>
* <mark style="color:blue;">Only the administrator in a team can perform this operation.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                        |
| --------------- | -------- | --------------- | ---------------------------------------------------------------------------------- |
| diskIds         | Yes      | Array of String | <p>ID list of disks.</p><p>The maximum number of disks in each request is 100.</p> |
| resourceGroupId | Yes      | String          | Resource group ID.                                                                 |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Move the disk to the specified resource group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksResourceGroup
<Common Request Params>

Request:
{
  "diskIds": ["diskId1", "diskId2"],
  "resourceGroupId": "resourceGroup1"
}

Response:
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk/modifydisksresourcegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
